Bug 343291 - multiarch conflicts in tidy
multiarch conflicts in tidy
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tidy (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On: 349361
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 17:58 EDT by Bill Nottingham
Modified: 2014-03-16 23:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-03 21:18:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-19 17:58:00 EDT
tidy (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/share/doc/libtidy-devel-0.99.0/annotated.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/buffio_8h-source.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/buffio_8h.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/deprecated.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/files.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/functions.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/functions_func.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/functions_vars.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/globals.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/globals_func.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/globals_type.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/group__AttrGet.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/group__AttrGetAttributeName.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/group__AttrIsAttributeName.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/group__Attribute.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/group__Basic.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/group__Clean.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/group__Configuration.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/group__IO.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/group__Memory.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/group__NodeAsk.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/group__NodeIsElementName.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/group__Opaque.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/group__Parse.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/group__Save.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/group__Tree.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/main.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/modules.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/pages.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/platform_8h-source.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/structTidyAttr.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/structTidyDoc.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/structTidyNode.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/structTidyOption.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/struct__TidyAllocator.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/struct__TidyAllocatorVtbl.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/struct__TidyBuffer.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/struct__TidyInputSource.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/struct__TidyOutputSink.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/tidy_8h-source.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/tidy_8h.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8
  file /usr/share/doc/libtidy-devel-0.99.0/tidyenum_8h-source.html from install of libtidy-devel-0.99.0-16.20070615.fc8 conflicts with file from package libtidy-devel-0.99.0-16.20070615.fc8

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.
Comment 1 Rex Dieter 2008-04-03 10:42:42 EDT
(in my best Captain Kirk impression):  DOXYGEN!!!!

I thought that doxygen bug was fixed?
Comment 2 Rex Dieter 2008-04-03 10:52:36 EDT
fwiw, doxygen bug #349361 , and from all accounts, is indeed fixed.

For the life of me, I can't fathom why rpm is unhappy.  afaict, these
"conflicts" all have identical content (verified with diff and md5sum) and have
identical time-stamps.
Comment 3 Bug Zapper 2008-05-13 23:39:16 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Philippe Troin 2009-01-05 15:04:45 EST
This bug is still present in F10.
Comment 5 Bug Zapper 2009-06-09 19:04:29 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Philippe Troin 2009-06-27 20:13:15 EDT
Bug is still present in F11 with libtidy-devel-0.99.0-18.20070615.fc11:

Transaction Check Error:
  file /usr/share/doc/libtidy-devel-0.99.0/annotated.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/buffio_8h-source.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/buffio_8h.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/classes.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/deprecated.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/files.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/functions.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/functions_func.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/functions_vars.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/globals.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/globals_defs.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/globals_func.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/globals_type.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/group__AttrGet.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/group__AttrGetAttributeName.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/group__AttrIsAttributeName.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/group__Attribute.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/group__Basic.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/group__Clean.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/group__Configuration.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/group__IO.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/group__Memory.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/group__NodeAsk.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/group__NodeIsElementName.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/group__Opaque.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/group__Parse.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/group__Save.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/group__Tree.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/main.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/modules.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/pages.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/platform_8h-source.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/structTidyAttr.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/structTidyDoc.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/structTidyNode.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/structTidyOption.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/struct__TidyAllocator.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/struct__TidyAllocatorVtbl.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/struct__TidyBuffer.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/struct__TidyInputSource.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/struct__TidyOutputSink.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/tidy_8h-source.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/tidy_8h.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586
  file /usr/share/doc/libtidy-devel-0.99.0/tidyenum_8h-source.html conflicts between attempted installs of libtidy-devel-0.99.0-18.20070615.fc11.x86_64 and libtidy-devel-0.99.0-18.20070615.fc11.i586

Do not close this bug, change the Version field to 11.

Phil.
Comment 7 Rex Dieter 2009-12-03 21:18:23 EST
Confirmed good on f12

$ rpm -q libtidy
libtidy-0.99.0-19.20070615.fc12.x86_64
libtidy-0.99.0-19.20070615.fc12.i686

Note You need to log in before you can comment on or make changes to this bug.